import React from "react";
import styled from "styled-components";
import { BrowserRouter, Route, Switch } from "react-router-dom";
import Header from "./Header";
import Landing from "./Landing";
import Login from "./Login";
import Register from "./Register";
import UserProfile from "./UserProfile";

const Container = styled.div`
    text-align: center;
`;

export default function App() {
    return (
        <Container>
            <BrowserRouter>
                <Header />
                <Switch>
                    <Route exact path="/login">
                        <Login />
                    </Route>
                    <Route exact path="/register">
                        <Register />
                    </Route>
                    <Route exact path="/:userId">
                        <UserProfile />
                    </Route>
                    <Route path="/">
                        <Landing />
                    </Route>
                </Switch>
            </BrowserRouter>
        </Container>
    );
}
